Redmine - Feature #35189

New email notification option "For any event on my bookmarked projects"
2021-04-30 11:11 - Yoann AMICHAUD

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Email notifications Estimated time: 0.00 hour

Target version:

Resolution: Wont fix

Description

For now, if you want to be informed about all events of a huge projects portfolio, | have to update the list behind "For any events of
the selected projects only..." quite often.

It would be really great if we can receive all notifications of the bookmarked projects adding a new option in the notification option list
: "For any events of my bookmarked projects only..."

Related issues:
Related to Redmine - Defect #39854: "For any event on my bookmarked projects”... Closed
Has duplicate Redmine - Feature #15542: "For any event on the selected projec... Closed

Associated revisions

Revision 22438 - 2023-11-16 09:32 - Go MAEDA

New email notification option "For any event on my bookmarked projects” (#35189).

Patch by Mizuki ISHIKAWA.

Revision 22439 - 2023-11-16 09:36 - Go MAEDA
Update locales (#35189).

Revision 22616 - 2024-01-23 02:05 - Marius BALTEANU
Reverts r22438 (#35189).

Revision 22617 - 2024-01-23 02:17 - Marius BALTEANU
Reverts r22439 (#35189).

History

#1 - 2021-05-03 22:31 - Marius BALTEANU

- Target version set to Candidate for next major release

Nice ideea, indeed.

#2 - 2021-06-17 06:59 - Mizuki ISHIKAWA
- File feature-35189.patch added

- File screenshot.png added

| wrote a patch to add this feature.
screenshot.png

#3 - 2022-06-24 09:49 - Go MAEDA

- Target version changed from Candidate for next major release to 5.1.0

Setting the target version to 5.1.0.

#4 - 2023-10-21 09:39 - Go MAEDA
- File feature-35189-v2.patch added
- Target version changed from 5.1.0 to 6.0.0

| think the most similar existing notification option to the new option that the patch implement is "For any event on the selected projects only..."
(internal name: "selected"), so | suggest changing the internal name of the option from "only_bookmarked_projects" to "bookmarked".

Here is an updated patch.

#5 - 2023-11-02 07:57 - Go MAEDA
- File feature-35189-v3.patch added

Updated the patch to remove repeated code from User#update_notified_project_ids.

#6 - 2023-11-05 10:49 - Marius BALTEANU
- File feature-35189-v3.patch added

@Go Maeda, what do you think about the reworked attached patch? | tried to simplify the code a little bit.

#7 - 2023-11-05 10:50 - Marius BALTEANU
- File deleted (feature-35189-v3.patch)

#8 - 2023-11-05 10:50 - Marius BALTEANU
- File feature-35189-v4.patch added

#9 - 2023-11-12 12:16 - Marius BALTEANU
- Assignee set to Go MAEDA

@Go MAEDA, I'm assign you to review the patch and to commit it if the changes are ok.

#10 - 2023-11-16 09:34 - Go MAEDA

- Subject changed from New email notification option - events of my bookmarked projects to New email notification option "For any event on my
bookmarked projects”

- Status changed from New to Closed
- Resolution set to Fixed

Committed the patch. Thank you.
Marius BALTEANU wrote in #note-6:

@Go Maeda, what do you think about the reworked attached patch? | tried to simplify the code a little bit.

Thank you for improving the patch!

#11 - 2023-12-15 10:02 - Marius BALTEANU

- Related to Defect #39854: "For any event on my bookmarked projects"” option not sending notifications for non-member bookmarked projects added

#12 - 2024-01-23 02:17 - Marius BALTEANU
- Assignee changed from Go MAEDA to Marius BALTEANU
- Target version deleted (6.0.0)

- Resolution changed from Fixed to Wont fix

I've reverted the changes added here after we agreed that handling notifications based on the bookmarked flag is not the best ideea (please see the
discussions from #39854).

We will improve the notification settings to allow users to easier watch projects (including public projects).

#13 - 2024-04-02 19:29 - Holger Just

- Has duplicate Feature #15542: "For any event on the selected projects only" as a star on project overview added

Files
https://www.redmine.org/issues/39854
